readCdfHeader {affxparser} | R Documentation

## Reads the header associated with an Affymetrix CDF file

### Description

Reads the header of an Affymetrix CDF file using the Fusion SDK.

### Usage

     readCdfHeader(filename)

### Arguments

`filename` | name of the CDF file.

### Value

A named list with the following components:

`rows` | the number of rows on the chip.
`cols` | the number of columns on the chip.
`probesets` | the number of probesets on the chip.
`qcprobesets` | the number of QC probesets on the chip.
`reference` | the reference sequence (this component only exists for resequencing chips).
`chiptype` | the type of the chip.
`filename` | the name of the cdf file.

normal-bracket23bracket-normal

### Author(s)

James Bullard, bullard@stat.berkeley.edu and Kasper Daniel Hansen, khansen@stat.berkeley.edu

### References

### See Also

`readCdfUnits()`.

### Examples

    for (zzz in 0) {

    # Find any CDF file
    cdfFile <- findCdf()
    if (is.null(cdfFile))
      break

    header <- readCdfHeader(cdfFile)
    print(header)

    } # for (zzz in 0)

[Package affxparser version 1.6.2 Index]